Package org.apache.cxf.transport

# Interface Session

public interface Session
A Session which can be bound to HTTP, WS-Adddressing, etc.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `get(Object key)`
  Get a variable from the session by the key.
  `void`
  `put(Object key, Object value)`
  Put a variable into the session with a key.

- ## Method Details

  - ### get

    Object get(Object key)
    Get a variable from the session by the key.
    Parameters:
      `key` -
    Returns:
      Value

  - ### put

    void put(Object key, Object value)
    Put a variable into the session with a key.
    Parameters:
      `key` -
      `value` -